### 数据说明

```
1.关系数据描述具体的对象之间的关系
2.

```

### 数据结构

| 字段      | 数据类型 | 说明       |
| --------- | -------- | ---------- |
| graphId   | String   | 图实例 id  |
| graphCode | String   | 图类型编码 |
| relCode   | String   | 边类型     |
| objFrom   | String   | 对象 id    |
| objTo     | String   | 对象 id    |

### 创建关系

接口说明

```
1.项目ID不可为空
2.appId不可为空(目前未校验)
3.该接口为批量接口,任一关系创建失败则全部失败
4.图类型编码和图实例id传入一个即可,graphId优先级高,如果传入graphId则忽略graphCode,如果传入graphCode未传入graphId,则默认取响应图类型的第一个图实例(按图实例id排序)

```

请求方式

```
POST /instance/relation/create?groupCode=集团编码&schemeId=方案id&projectId=项目id&appId=应用id
```

路径参数说明

| 字段      | 数据类型 | 说明               |
| --------- | -------- | ------------------ |
| groupCode | String   | 集团编码, 不可为空 |
| schemeId  | String   | 方案 id            |
| projectId | String   | 项目 id, 不可为空  |
| appId     | String   | 应用 id, 不可为空  |
| userId    | String   | 用户 id, 不可为空  |

请求体

```
[
    {
        "graphCode": "图类型编码",
        "graphId": "图类型Id",
        "relCode": "边类型编码",
        "objFrom": "",
        "objTo": ""
    }
]

```

返回数据

```
{
    "result": "success"
}

```

### 删除关系

接口说明

```
1.入参为JacksonCriteria, 先按参数查询数据, 然后将查询到的数据删除
2.

```

请求方式

```
POST /rwd/instance/relation/delete?groupCode=集团编码&schemeId=方案id&projectId=项目id&appId=应用id
```

路径参数说明

| 字段      | 数据类型 | 说明               |
| --------- | -------- | ------------------ |
| groupCode | String   | 集团编码, 不可为空 |
| schemeId  | String   | 方案 id            |
| projectId | String   | 项目 id, 不可为空  |
| appId     | String   | 应用 id, 不可为空  |
| userId    | String   | 用户 id, 不可为空  |

请求体

```
{
    "criteria": {
        "graphCode": "图类型编码",
        "graphId": "图类型Id",
        "relCode": "边类型编码",
        "objFrom": "",
        "objTo": ""
    }
}

```

返回数据

```
{
    "result": "success"
}

```

### 查询关系

请求方式

```
POST /rwd/instance/relation/query?groupCode=集团编码&schemeId=方案id&projectId=项目id&appId=应用id
```

路径参数说明

| 字段      | 数据类型 | 说明               |
| --------- | -------- | ------------------ |
| groupCode | String   | 集团编码, 不可为空 |
| schemeId  | String   | 方案 id            |
| projectId | String   | 项目 id, 不可为空  |
| appId     | String   | 应用 id, 不可为空  |
| userId    | String   | 用户 id, 不可为空  |

请求体

```
{
    "criteria": {
        "graphCode": "图类型编码",
        "graphId": "图类型Id",
        "relCode": "边类型编码",
        "objFrom": "",
        "objTo": ""
    }
}

```

返回数据

```
{
    "result": "success",
    "data": [
        {
            "id": "9b88fb9496c94713ba41e2dc45861e89",
            "projectId": "Pj1101050029",
            "graphId": "GtArchSubset001",
            "graphCode": "ArchSubset",
            "relCode": "Fl2Sp",
            "objFrom": "Fl11010500296bc7ca3a0d5d41419cf95c5b45116400",
            "objTo": "Sp1101050029f79243a7cef34ffda9a09401274717b7",
            "status": 1,
            "createTime": 1601527142000,
            "updateTime": 1601527142000
        }
    ],
    "count": 1
}

```

### 查询关系关联的对象

接口说明

```
1.不支持分页
2.objFrom和objTo两个字段必须且只能传入一个
3.objectCriteria中可以传入多个查询参数
4.
```

请求方式

```
POST /rwd/instance/relation/object/query?groupCode=集团编码&schemeId=方案id&projectId=项目id&appId=应用id
```

路径参数说明

| 字段      | 数据类型 | 说明               |
| --------- | -------- | ------------------ |
| groupCode | String   | 集团编码, 不可为空 |
| schemeId  | String   | 方案 id            |
| projectId | String   | 项目 id, 不可为空  |
| appId     | String   | 应用 id, 不可为空  |
| userId    | String   | 用户 id, 不可为空  |

请求体

```
{
    "criteria": {
        "graphCode": "图类型编码",
        "graphId": "图类型Id",
        "relCode": "边类型编码",
        "objFrom": "",
        "objTo": "",
        "objectCriteria": {
            "classCode": "ACATAH"
        }
    }
}

```

返回数据

```
{
    "result": "success",
    "data": [
        {
            "id": "9b88fb9496c94713ba41e2dc45861e89",
            "projectId": "Pj1101050029",
            "graphId": "GtArchSubset001",
            "graphCode": "ArchSubset",
            "relCode": "Fl2Sp",
            "objFrom": "Fl11010500296bc7ca3a0d5d41419cf95c5b45116400",
            "objTo": "Sp1101050029f79243a7cef34ffda9a09401274717b7",
            "status": 1,
            "createTime": 1601527142000,
            "updateTime": 1601527142000
        }
    ],
    "count": 1
}

```
